using System;
using System.Collections;
using System.Collections.Generic;
using UnityEngine;
[System.Serializable]
public class gameAreaGroupItem
{
    public short id;
    public List<short> roomIds;
    public float R;
    public float G;
    public float B;
    public bool isComplete = false;
    public void getRGB(out Color color)
    {
        color = new Color(R / 255f, G / 255f, B / 255f, 1);
    }
    public static int sortByIsComplete(gameAreaGroupItem a, gameAreaGroupItem b)
    {
        if(a.isComplete == b.isComplete)
        {
            return a.id - b.id;
        }
        return a.isComplete ? 1 : -1;
    }
}
